Subject: Re: Data corruption issue with splice() on 2.6.27.10

From: Jarek Poplawski <[email-masked]>
Date: Wed, 7 Jan 2009 13:10:57 +0000

On Wed, Jan 07, 2009 at 04:02:59PM +0300, Evgeniy Polyakov wrote:
...
> If I understood correctly Jarek's patch, he wants to allocate a page and
> copy linear content of the skb there, so this will end up being the same
> case as with splicing from the file. And while generally this may be a
> good idea, but with usual 1.5k mtu this will copy every skb, which is
> rather bad idea. Will have to think :)
> 

As I mentioned earlier, I (poorly) tried to realize Changli's idea
only, and it's more to verify the reason still (after it failed with
SG method...).

Thanks,
Jarek P.